net.sf.jasperreports.engine.virtualization

## Enum ReferenceType

- java.lang.Object
- - java.lang.Enum<ReferenceType>
  - - net.sf.jasperreports.engine.virtualization.ReferenceType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ReferenceType>

      public enum ReferenceType
      extends java.lang.Enum<ReferenceType>

  Version:
    $Id: ReferenceType.java 6168 2013-05-16 17:27:14Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IDENTITY`
    `OBJECT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReferenceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ReferenceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OBJECT

          public static final ReferenceType OBJECT

    - #### IDENTITY

          public static final ReferenceType IDENTITY

  - ### Method Detail

    - #### values

          public static ReferenceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReferenceType c : ReferenceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReferenceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com